Bug 249086 - Unable to add a new fence device to cluster
Summary: Unable to add a new fence device to cluster
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Jim Parsons
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-20 20:06 UTC by Corey Marthaler
Modified: 2009-04-16 22:54 UTC (History)
4 users (show)

Fixed In Version: RHSA-2007-0640
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 15:38:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0640 normal SHIPPED_LIVE Moderate: conga security, bug fix, and enhancement update 2007-11-08 14:19:24 UTC

Description Corey Marthaler 2007-07-20 20:06:57 UTC
Description of problem:
I went to "Shared Fence Devices" -> "Add a Fence Device" -> "APC Power Switch"
-> filled in the input boxes, and then clicked "Add this shared fence device".
After updating the cluster, the new device doesn't show up anywhere. Not on the
GUI or in the cluster.conf file.


Version-Release number of selected component (if applicable):
ricci-0.10.0-2.el5
luci-0.10.0-2.el5

How reproducible:
everytime

Comment 1 Corey Marthaler 2007-07-20 20:10:46 UTC
Here is the cluster.conf:

<?xml version="1.0"?>
<cluster config_version="9" name="TAFT_CLUSTER"><cman/><fence_daemon
clean_start="0" post_fail_delay="32"
post_join_delay="31"/><clusternodes><clusternode name="taft-01"
nodeid="1"><fence><method name="1"><device name="qawti-01" port="1"/><device
name="qawti-01" port="5"/></method></fence></clusternode><clusternode
name="taft-02" nodeid="2"><fence><method name="1"><device name="qawti-01"
option="off" port="2"/><device name="qawti-01" option="off" port="6"/><device
name="qawti-01" option="on" port="2"/><device name="qawti-01" option="on"
port="6"/></method></fence></clusternode><clusternode name="taft-03"
nodeid="3"><fence><method name="1"><device name="qawti-01" option="off"
port="3"/><device name="qawti-01" option="off" port="7"/><device name="qawti-01"
option="on" port="3"/><device name="qawti-01" option="on"
port="7"/></method></fence></clusternode><clusternode name="taft-04"
nodeid="4"><fence><method name="1"><device name="qawti-01" option="off"
port="4"/><device name="qawti-01" option="off" port="8"/><device name="qawti-01"
option="on" port="4"/><device name="qawti-01" option="on"
port="8"/></method></fence></clusternode></clusternodes><fencedevices><fencedevice
agent="fence_wti" ipaddr="10.15.89.2" name="qawti-01" passwd="
"/></fencedevices><rm><failoverdomains/><resources/></rm></cluster>

Comment 2 Corey Marthaler 2007-07-20 21:17:35 UTC
Could this have been caused by having a space in the password param for the wti
device?

Comment 3 Corey Marthaler 2007-07-20 21:20:49 UTC
Nope. Even after using a "valid" password, no device shows up anywhere in conga
or the cluster.conf file.

Comment 4 Ryan McCabe 2007-07-30 18:38:58 UTC
Should be fixed in the latest build.

Comment 6 Corey Marthaler 2007-08-01 19:29:03 UTC
fix verified in ricci-0.10.0-3.el5/luci-0.10.0-3.el5

Comment 8 errata-xmlrpc 2007-11-07 15:38:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0640.html



Note You need to log in before you can comment on or make changes to this bug.